The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

bpyvenv.sh 744 B

feature/shadowban_fb (#44) restart pgsql when starting bubble basic shadowban support working on fb squeeze api max mem a bit more, max 200m on a 1g system squeeze max mem a bit more Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb allow icon js debug loading. only load debug template if newer than jar add app server-side logging more reliable host to test against update lib Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb fix fb fqdn more cleanup add usage docs add tooling to replay streams for debugging. pass bufsiz to stream wrappers. add initial fb shadowban js order imports log url when inserting js ignore .venv add final allow additional regex replacements to reference nonce print message when app priming completed clean up js move stack dump to bubble_debug.py use SIGUSR1 instead of SIGQUIT to print stack traces Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb initial shadowban fb model Co-authored-by: Jonathan Cobb <jonathan@kyuss.org> Reviewed-on: https://git.bubblev.org/bubblev/bubble/pulls/44
4 vuotta sitten
4 vuotta sitten
feature/shadowban_fb (#44) restart pgsql when starting bubble basic shadowban support working on fb squeeze api max mem a bit more, max 200m on a 1g system squeeze max mem a bit more Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb allow icon js debug loading. only load debug template if newer than jar add app server-side logging more reliable host to test against update lib Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb fix fb fqdn more cleanup add usage docs add tooling to replay streams for debugging. pass bufsiz to stream wrappers. add initial fb shadowban js order imports log url when inserting js ignore .venv add final allow additional regex replacements to reference nonce print message when app priming completed clean up js move stack dump to bubble_debug.py use SIGUSR1 instead of SIGQUIT to print stack traces Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb Merge branch 'master' of git.bubblev.org:bubblev/bubble into feature/shadowban_fb initial shadowban fb model Co-authored-by: Jonathan Cobb <jonathan@kyuss.org> Reviewed-on: https://git.bubblev.org/bubblev/bubble/pulls/44
4 vuotta sitten
1234567891011121314151617181920212223242526272829
  1. #!/bin/bash
  2. #
  3. # Copyright (c) 2020 Bubble, Inc. All rights reserved. For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
  4. #
  5. #
  6. # Set up python venv to run scripts in bin
  7. #
  8. function die {
  9. echo 1>&2 "$0: ${1}"
  10. exit 1
  11. }
  12. BUBBLE_HOME="$(cd $(dirname ${0})/.. && pwd)"
  13. cd ${BUBBLE_HOME} || die "Error changing to ${BUBBLE_HOME} dir"
  14. if [[ ! -d "${BUBBLE_HOME}/.venv" ]] ; then
  15. python3 -m venv ./.venv || die "Error creating venv"
  16. fi
  17. . ${BUBBLE_HOME}/.venv/bin/activate || die "Error activating bubble venv"
  18. python3 -m pip install requests || die "Error installing pip packages"
  19. if [[ ! -z "${1}" ]] ; then
  20. script=${1}
  21. shift
  22. echo python3 "${script}" "${@}"
  23. else
  24. echo "venv successfully set up"
  25. fi